import request from '../../utils/request_zc'

/**
 * 获取出库申请分页列表
 *
 */
 export function GetSuppliesStockOutApplyForPageList(data) {
    return request({
      url: '/supplies/GetSuppliesStockOutApplyForPageList',
      method: 'post',
      data
    })
}

/**
 * 获取出库申请详情
 *
 */
 export function GetSuppliesStockOutApplyForDetail(data) {
  return request({
    url: '/supplies/GetSuppliesStockOutApplyForInfo',
    method: 'post',
    data
  })
}
/**
 * 获取耗材
 *
 */
 export function GetMaterialPageList(data) {
  return request({
    url: '/Supplies/GetMaterialPageList',
    method: 'post',
    data
  })
}
/**
 * 发起出库申请
 *
 */
 export function SuppliesStockOutApply(data) {
  return request({
    url: '/supplies/SetSuppliesStockOutApplyForInfo',
    method: 'post',
    data
  })
}
/**
 * 出库申请 - 出库
 *
 */
 export function SuppliesStockOut(data) {
  return request({
    url: '/supplies/SetSuppliesApplyForStockOut',
    method: 'post',
    data
  })
}

/**
 *  获取仓库
 *
 */
 export function GetWareHouse(data) {
  return request({
    url: '/Supplies/GetWareHouseList',
    method: 'post',
    data
  })
}

/**
 *  设置出库申请状态
 *
 */
 export function SetSuppliesStockOutApplyForState(data) {
  return request({
    url: '/supplies/SetSuppliesStockOutApplyForState',
    method: 'post',
    data
  })
}

